# Add User to Security Group. Assign a Security Group to a User Profile. Endpoint: PATCH /user/{id}/add-to-group Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. ## Path parameters: - `id` (string, required) Specify a User Profile ID. ## Request fields (application/json): - `userGroupId` (string) group-id of a valid existing user-security-group of customer Example: "7d6207c0-f423-11e9-8071-89c0c4052141" - `userGroupName` (string) group-name of a valid existing user-security-group of a customer ## Response 200 fields (application/json): - `status` (string) Example: "success" - `message` (string) Example: "User Profile update was successful" ## Response 400 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Message" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)